[AutoComplete]
System.=arraycopy(Object, int, Object, int, int) void|arraycopy+n##currentTimeMillis() void|currentTimeMillis()+n##err PrintStream|err+c##exit(int) void|exit+n##gc() void|gc()+n##getenv(String) String|getenv+n##getProperties() Properties|getProperties()+n##getProperty(String, String) String|getProperty+n##getProperty(String) String|getProperty+n##getSecurityManager() SecurityManager|getSecurityManeger()+n##identifyHashCode(Object) int|identifyHashCode+n##in InputStream|in+c##load(String) void|load+n##loadLibrary(String) void|loadLibrary+n##mapLibraryName(String) String|mapLibraryName+n##out PrintStream|out+c##runFinalization() void|runFinalization()+n##runFinalizersOnExit(boolean) void|runFinalizersOnExit+n##setErr(PrintStream) void|setErr+n##setIn(InputStream) void|setIn+n##setOut(PrintStream) void|setOut+n##setProperties(Properties) void|setProperties+n##setProperty(String, String) String|setProperty+n##setSecurityManager(SecurityManager) void|setSecurityManager+n##
System.err.=checkError() boolean|checkError()+n##close() void|close()+n##equals(Object) boolean|equals+n##flush() void|flush()+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##print(boolean) void|print+n##print(char) void|print+n##print(char[]) void|print+n##print(double) void|print+n##print(float) void|print+n##print(int) void|print+n##print(long) void|print+n##print(Object) void|print+n##print(String) void|print+n##println() void|println()+n##println(boolean) void|println+n##println(char) void|println+n##println(char[]) void|println+n##println(double) void|println+n##println(float) void|println+n##println(int) void|println+n##println(long) void|println+n##println(Object) void|println+n##println(String) void|println+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait+n##wait(long) void|wait+n##write(byte[], int, int) void|write+n##write(byte[]) void|write+n##write(int) void|write+n##
System.out.=checkError() boolean|checkError()+n##close() void|close()+n##equals(Object) boolean|equals+n##flush() void|flush()+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##print(boolean) void|print()+n##print(char) void|print()+n##print(char[]) void|print()+n##print(double) void|print()+n##print(float) void|print()+n##print(int) void|print()+n##print(long) void|print()+n##print(Object) void|print()+n##print(String) void|print()+n##println() void|println()+n##println(boolean) void|println()+n##println(char) void|println()+n##println(char[]) void|println()+n##println(double) void|println()+n##println(float) void|println()+n##println(int) void|println()+n##println(long) void|println()+n##println(Object) void|println()+n##println(String) void|println()+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait()+n##wait(long) void|wait()+n##write(byte[], int, int) void|write()+n##write(byte[]) void|write()+n##write(int) void|write()+n##
System.in.=available() int|available()+n##close() void|close()+n##equals(Object) boolean|equals+n##getClass() Class|getClass()+n##hashCode() int|hashCode()+n##mark(int) void|mark+n##markSupported() boolean|markSupported()+n##notify() void|notify()+n##notifyAll() void|notifyAll()+n##read() int|read()+n##read(byte[], int, int) int|read+n##read(byte[]) int|read+n##reset() void|reset()+n##skip(long) long|skip+n##toString() String|toString()+n##wait() void|wait()+n##wait(long, int) void|wait+n##wait(long) void|wait+n##

[MultiHighlight]
Syntax=
File=
ASPLanguage=

[UserMenu]
1=abstract|abstract+c
2=boolean|boolean+c
3=break|break+c
4=byte|byte+c
5=case|case+c
6=catch|catch+c
7=char|char+c
8=class|class+c
9=comment|/* ?*/+2
10=continue|continue+c
11=default|default+c
12=do|do+c
13=double|double+c
14=else|else+c
15=enum|enum+c
16=extends|extends+c
17=false|false+c
18=final|final+c
19=finally|finally+c
20=float|float+c
21=for|for+c
22=for statement|for (int i = 0; i < ?; i++);+2
23=for statement block|for (int i = 0; i < ?; i++) {}+2
24=fostream (PrintWriter)|PrintWriter fostream = new PrintWriter(new FileWriter(filename));?+2
25=if|if+c
26=implements|implements+c
27=import|import+c
28=instanceof|instanceof+c
29=int|int+c
30=interface|interface+c
31=long|long+c
32=main function|public static void main (String[] args) {?}+2
33=native|native+c
34=new|new+c
35=null|null+c
36=package|package+c
37=println (System.out)|System.out.println()+2
38=private|private+c
39=protected|protected+c
40=public|public+c
41=return|return+c
42=short|short+c
43=static|static+c
44=streamin (BufferedReader)|BufferedReader streami = new BufferedReader(new InputStreamReader(System.in));?+2
45=strictfp|strictfp+c
46=super|super+c
47=switch|switch+c
48=switch statement block|switch (?) {case : break;case : break;default :}+2
49=synchronized|synchronized+c
50=this|this+c
51=throw|throw+c
52=throws|throws+c
53=transient|transient+c
54=true|true+c
55=try|try+c
56=try catch block|try {?}catch (Exception ex) {}+2
57=try catch finally block|try {?}catch (Exception ex) {}finally {}+2
58=while|while+c
59=void|void+c
60=volatile|volatile+c

[Comment]
1=*************************************************************
2=<b>Syntax:</b> Java 1.5
3=<b>Author:</b> Rickard Johansson
4=<b>Version:</b> 1.2
5=
6=<b>Recommended colors:</b>
7=This syntax definition is included with the main program
8=installation. So the recommended colors are already set
9=after the program is installed.
10=*************************************************************

[Hints]
1=System.arraycopy(Object src, int srcPos, Object dest, int destPos, int length)
2=System.exit(int status)
3=System.getenv(String name)
4=System.getProperty(String key, String def)
5=System.getProperty(String key)
6=System.identifyHashCode(Object x)
7=System.load(String filename)
8=System.loadLibrary(String libname)
9=System.mapLibraryName(String libname)
10=System.runFinalizersOnExit(boolean value)
11=System.setErr(PrintStream err)
12=System.setIn(InputStream in)
13=System.setOut(PrintStream out)
14=System.setProperties(Properties props)
15=System.setProperty(String key, String value)
16=System.setSecurityManager(SecurityManager s)
17=System.err.equals(Object obj)
18=System.err.print(boolean b)
19=System.err.print(char c)
20=System.err.print(char[] s)
21=System.err.print(double d)
22=System.err.print(float f)
23=System.err.print(int i)
24=System.err.print(long l)
25=System.err.print(Object obj)
26=System.err.print(String s)
27=System.err.println(boolean b)
28=System.err.println(char c)
29=System.err.println(char[] s)
30=System.err.println(double d)
31=System.err.println(float f)
32=System.err.println(int i)
33=System.err.println(long l)
34=System.err.println(Object obj)
35=System.err.println(String s)
36=System.err.wait(long timeout, int nanos)
37=System.err.wait(long timeout)
38=System.err.write(byte[] buf, int off, int len)
39=System.err.write(byte[] b)
40=System.err.write(int b)
41=System.out.equals(Object obj)
42=System.out.print(boolean b)
43=System.out.print(char c)
44=System.out.print(char[] s)
45=System.out.print(double d)
46=System.out.print(float f)
47=System.out.print(int i)
48=System.out.print(long l)
49=System.out.print(Object obj)
50=System.out.print(String s)
51=System.out.println(boolean b)
52=System.out.println(char c)
53=System.out.println(char[] s)
54=System.out.println(double d)
55=System.out.println(float f)
56=System.out.println(int i)
57=System.out.println(long l)
58=System.out.println(Object obj)
59=System.out.println(String s)
60=System.out.wait(long timeout, int nanos)
61=System.out.wait(long timeout)
62=System.out.write(byte[] buf, int off, int len)
63=System.out.write(byte[] b)
64=System.out.write(int b)
65=System.in.equals(Object obj)
66=System.in.mark(int i)
67=System.in.read(byte[] buf, int off, int len)
68=System.in.read(byte[] b)
69=System.in.skip(long l)
70=System.in.wait(long timeout, int nanos)
71=System.in.wait(long timeout)

[Sample]
1=void TestNumber()
2={
3=int i = GetNumber();
4=// Test number
5=if (i < 20)
6=ShowResult("Less than 20");
7=}
8=
9=
10=
11=
12=

